dumpdb(1)

NAME
dumpdb - The Freeze database inspector.

SYNOPSIS
dumpdb [options] dbenv db

DESCRIPTION
The FreezeScript tool dumpdb is used to examine a Freeze database. Its simplest invocation displays every record of the database, but the tool also supports more selective activities. In fact, dumpdb supports a scripted mode that shares many of the same XML descriptors as transformdb, enabling sophisticated filtering and reporting. Full documentation for dumpdb is available online at:
"https://doc.zeroc.com/display/Ice36/Using+dumpdb".

OPTIONS

-h, --help
    Displays help message.

-v, --version
    Displays the Ice version.

-DNAME
    Defines the preprocessor symbol NAME.

-DNAME=DEF
    Defines the preprocessor symbol NAME with the value DEF.

-UNAME
    Undefines the preprocessor symbol NAME.

-IDIR
    Add the directory DIR to the search path for #include directives.

-E
    Print the preprocessor output on stdout.

--output-dir DIR
    Place the generated files into directory DIR.

-d, --debug
    Print debug information showing the operation of the Slice parser.

--ice
    Permit use of the normally reserved prefix Ice for identifiers. Use this option only when compiling the source code for the Ice run time.

--underscore
    Permit use of underscores in Slice identifiers.

--load SLICE
    Loads the Slice definitions contained in the file SLICE. This option may be specified multiple times if several files must be loaded. However, it is the user's responsibility to ensure that duplicate definitions do not occur (which is possible when two files are loaded that share a common include file). One strategy for avoiding duplicate definitions is to load a single Slice file that contains only #include statements for each of the Slice files to be loaded. No duplication is possible in this case if the included files use include guards correctly.

--key TYPE

--value TYPE
    Specifies the Slice type of the database key and value. If these options are not specified, and the -e option is not used, dumpdb obtains type information from the Freeze catalog.

-e
    Indicates that a Freeze evictor database is being examined. As a convenience, this option automatically sets the database key and value types to those appropriate for the Freeze evictor, and therefore the --key and --value options are not necessary. Specifically, the key type of a Freeze evictor database is Ice::Identity, and the value type is Freeze::ObjectRecord. The latter is defined in the Slice file Freeze/EvictorStorage.ice, however this file does not need to be explicitly loaded. If this option is not specified, and the --key and --value options are not used, dumpdb obtains type information from the Freeze catalog.

-o FILE
    Create a file named FILE containing sample descriptors for the loaded Slice definitions. If type information is not specified, dumpdb obtains it from the Freeze catalog. If the --select option is used, its expression is included in the sample descriptors. Database traversal does not occur when the -o option is used.

-f FILE
    Execute the descriptors in the file named FILE. The file's <database> descriptor specifies the key and value types, therefore it is not necessary to supply type information.

--select EXPR
    Only display those records for which the expression EXPR is true. The expression can refer to the symbols key and value.

-c, --catalog
    Display information about the databases in an environment, or about a particular database. This option presents the type information contained in the Freeze catalog.

SEE ALSO
transformdb(1)